using Microsoft.FxCop.Sdk;

namespace CustomRule2
{
    public class SearchClassesRule : BaseIntrospectionRule
    {
        public SearchClassesRule()
            : base("SearchClassesRule", "CustomRule2.CustomRule2", typeof(SearchClassesRule).Assembly)
        {
        }

        public override ProblemCollection Check(TypeNode type)
        {
            Problem problem = new Problem(GetResolution(type.Name.Name));
            Problems.Add(problem);
            return Problems;
        }
    }
}
